<div class="product-wrap">
  <div class="container" *ngIf="productList">
    <div class="row mt-2 mb-2">
      <div class="col padding0px common-header-h4">
        <h4>{{'labelProductList' | translate:lang}}</h4>
      </div>
    </div>
  </div>
  <span *ngIf="productTotalLength > 0">
    <div class="row">
      <div class="col-md-3 mt-2 mb-2" *ngFor="let products of productList">
        <app-product-tile [productDetail]="products" [compareCount]="compareCount" [from]="productFrom" (productAction)="getProductActionDetails($event)"></app-product-tile>
      </div>
    </div>

    <div class="showmore-wrap">
        <div *ngIf="productTotalLength > productList.length">
        <button mat-raised-button class="show-more"(click)="showMoreProducts()">
            <i class="fa fa-plus-circle"></i> {{ 'buttonShowMore' | translate:lang }}</button>
      </div>
    </div>
  </span>
  <div *ngIf="productTotalLength === 0">
    {{'lableNoProducts' | translate: lang}}
  </div>
</div>
